Subject: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Richard Copley <[email-masked]>
Date: Fri, 6 Jul 2012 16:55:06 +0100

When I attempted to bootstrap trunk revision 108980 on Windows XP,
Emacs crashed (and showed the abort dialog).

[...]
mingw32-make[2]: Entering directory `G:/emacs-bzr/trunk/leim'
"./../src/oo-spd/i386/emacs.exe" -batch --no-site-file --no-site-lisp -l \
    "G:/emacs-bzr/trunk/leim/../lisp/international/titdic-cnv" \
    --eval "(batch-titdic-convert t)" \
    -dir quail ./CXTERM-DIC
Converting all tit files in the directory g:/emacs-bzr/trunk/leim/CXTERM-DIC
Converting g:/emacs-bzr/trunk/leim/CXTERM-DIC/4Corner.tit to quail-package...
Decoding with coding system cn-big5...

[Emacs abort dialog was shown at this point.]
[The following was printed after I attached and detached the debugger
and terminated the process:]

mingw32-make[2]: *** [quail/CCDOSPY.elc] Error 1
mingw32-make[2]: Leaving directory `G:/emacs-bzr/trunk/leim'
mingw32-make[1]: *** [all-other-dirs-gmake] Error 2
mingw32-make[1]: Leaving directory `G:/emacs-bzr/trunk/nt'
mingw32-make: *** [bootstrap] Error 2
[END]

I attached gdb but for some reason didn't get a useful backtrace:

Attaching to process 3368
[New Thread 3368.0xe1c]
[New Thread 3368.0x764]
Reading symbols from G:\emacs-bzr\trunk\src\oo-spd\i386\emacs.exe...done.
(gdb) bt full
#0  0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c952119 in ntdll!KiIntSystemCall () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x00000005 in ?? ()
No symbol table info available.
#3  0x00000004 in ?? ()
No symbol table info available.
#4  0x00000001 in ?? ()
No symbol table info available.
#5  0x039fffd0 in ?? ()
No symbol table info available.
#6  0x00000000 in ?? ()
No symbol table info available.
(gdb) xbacktrace
Undefined command: "xbacktrace".  Try "help".

Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --enable-checking --cflags
 -fno-omit-frame-pointer -L c:/gnuwin32/lib -I c:/gnuwin32/include'

>gcc --version
gcc (GCC) 4.6.2